Name:           nde-systemsettings
Summary:        nde systemsettings
Version:        0.0.1
Release:        31.2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xcursor)
BuildRequires: xorg-x11-drv-libinput-devel
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(kscreen2)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(nde) >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys)
BuildRequires: pkgconfig(sysstat-qt5)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: kf5-networkmanager-qt-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kwindowsystem-devel >= 5.5.0
BuildRequires: nde-lib-devel
BuildRequires: nde-qtxdg-devel
BuildRequires: nde-widget >= 0.0.1-6
BuildRequires: libstatgrab-devel
BuildRequires: libfm-qt-devel
BuildRequires: glib2-devel
BuildRequires: libexif-devel
BuildRequires: fcitx-devel
BuildRequires: qt5-qtaccountsservice-devel
BuildRequires: accountsservice-devel >= 0.6.50-8.2
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: pulseaudio-libs-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-solid-devel >= 5.5
BuildRequires: openssl
BuildRequires: openssl-devel
BuildRequires: qrencode-devel
BuildRequires: qrencode
BuildRequires: qrencode-libs
BuildRequires: libuuid-devel
BuildRequires: cryptopp-devel
BuildRequires: cryptopp

Requires: nde-lib >= 0.0.1-23
Requires: nde-qtxdg
Requires: nde-widget >= 0.0.1-6
Requires: kf5-networkmanager-qt
Requires: kf5-kwindowsystem
Requires: kf5-kdbusaddons
Requires: libstatgrab
Requires: timedatex
Requires: lohit-gurmukhi-fonts
Requires: lohit-nepali-fonts
Requires: google-noto-sans-bengali-fonts
Requires: google-noto-sans-cherokee-fonts
Requires: google-noto-sans-gujarati-fonts
Requires: google-noto-sans-gurmukhi-fonts
Requires: google-noto-sans-kannada-fonts
Requires: google-noto-sans-khmer-fonts
Requires: google-noto-sans-malayalam-fonts
Requires: google-noto-sans-myanmar-fonts
Requires: google-noto-sans-oriya-fonts
Requires: google-noto-sans-tamil-fonts
Requires: google-noto-sans-telugu-fonts
Requires: google-noto-sans-thai-fonts
Requires: google-noto-sans-vai-fonts
Requires: google-noto-sans-yi-fonts
Requires: libfm-qt
Requires: qt5-qtaccountsservice
Requires: accountsservice
Requires: nde-policykit >= 0.0.1-2
Requires: pavucontrol
Requires: nde-auth >= 0.0.1-23
Requires: nde-fileman >= 0.0.1-127
Requires: nde-fileman-l10n >= 0.0.1-127
Requires: nde-globalkeys
Requires: nde-screensaver >= 0.1.0-24
Requires: nde-backgrounds
Requires: nde-panel >= 0.0.1-244
Requires: nde-themes >= 0.0.1-37
Requires: qt5-qttranslations

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
    -DPULL_TRANSLATIONS=NO \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}
%post
systemctl enable systemsettings.service
systemctl start systemsettings.service
chmod +x /usr/bin/parse_sn

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
install -d -p %{buildroot}%{_localstatedir}/lib/AccountsService/images/
cp -f users/images/[0-9].png %{buildroot}%{_localstatedir}/lib/AccountsService/images/


%find_lang nde-systemsettings --with-qt
%find_lang systeminfo --with-qt
%find_lang datetime --with-qt
%find_lang language --with-qt
%find_lang screen --with-qt
%find_lang defaultapp --with-qt
%find_lang users --with-qt
%find_lang autostart --with-qt
%find_lang cablenetwork --with-qt
%find_lang font --with-qt
%find_lang keyboard --with-qt
%find_lang screensaver --with-qt
%find_lang logmanager --with-qt
%find_lang mouse --with-qt
%find_lang picture --with-qt
%find_lang power --with-qt
%find_lang service --with-qt
%find_lang taskbar --with-qt
%find_lang voice --with-qt
%find_lang vpn --with-qt
%find_lang wlan --with-qt
%find_lang printer --with-qt
%find_lang firewall --with-qt
%find_lang theme --with-qt

%files -f nde-systemsettings.lang -f screen.lang -f systeminfo.lang -f datetime.lang -f language.lang -f defaultapp.lang -f users.lang -f autostart.lang -f cablenetwork.lang -f font.lang -f keyboard.lang -f screensaver.lang -f logmanager.lang -f mouse.lang -f picture.lang -f power.lang -f service.lang -f taskbar.lang -f voice.lang -f vpn.lang -f wlan.lang -f printer.lang  -f firewall.lang -f theme.lang

%{_bindir}/nde-systemsettings
%{_bindir}/systemsettings
%{_bindir}/nde-systemsettings-autostart
%{_libdir}/nde-systemsettings/*.so
%{_datadir}/applications/nde-systemsettings.desktop
%{_datadir}/nde/nde-systemsettings/*.desktop
%dir %{_datadir}/nde/translations/nde-systemsettings
/usr/share/polkit-1/actions/org.nde.systemsettings.policy
/usr/share/zoneinfo/zoneinfo.txt
/etc/nde/nde-systemsettings.conf
/etc/profile.d/hidpi.sh
/var/lib/AccountsService/images
%{_sysconfdir}//dbus-1/system.d/com.nde.systemsettings.conf
/usr/lib/systemd/system/systemsettings.service

%changelog
* Sat Dec 28 2024 NewStart <os@gd-linux.com> - 0.0.1-31.2
- remove extra require

* Sat Dec 28 2024 NewStart <os@gd-linux.com> - 0.0.1-31.1
- fix build error

* Thu Mar 03 2022 NewStart <os@gd-linux.com> - 0.0.1-31
- 添加关于界面

* Thu Mar 03 2022 NewStart <os@gd-linux.com> - 0.0.1-30
- 添加依赖

* Wed Mar 02 2022 NewStart <os@gd-linux.com> - 0.0.1-29
- 界面优化

* Wed Mar 02 2022 NewStart <os@gd-linux.com> - 0.0.1-28
- 更新翻译

* Mon Feb 28 2022 NewStart <os@gd-linux.com> - 0.0.1-27
- 添加服务模块

* Mon Feb 28 2022 NewStart <os@gd-linux.com> - 0.0.1-26
- 添加电源模块

* Mon Feb 28 2022 NewStart <os@gd-linux.com> - 0.0.1-25
- 添加屏保模块

* Mon Feb 28 2022 NewStart <os@gd-linux.com> - 0.0.1-24
- 添加主题模块

* Fri Feb 25 2022 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-23
- 修复日志搜索功能不可用问题

* Thu Feb 24 2022 Luo Junchao <luo.junchao@zte.com.cn> - 0.0.1-22
- 优化蓝牙接收文件列表

* Tue Feb 15 2022 Wu Shangmin <wu.shangmin@gd-linux.cn> - 0.0.1-21
- 修复任务栏模块关闭常用应用还能添加软件至常用问题

* Tue Feb 08 2022 He leilei <he.leilei@gd-linux.cn> - 0.0.1-20
- 修复日志模块，选择框显示不完整的问题

* Tue Feb 08 2022 Wang Jun <wang.Jun@gd-linux.cn> - 0.0.1-19
- 修复壁纸界面底部按钮显示问题

* Wed Jan 26 2022 Luo Junchao <luo.junchao@zte.com.cn> - 0.0.1-18
- 修复蓝牙设备名称和标题不一样

* Wed Jan 12 2022 NewStart <os@gd-linux.com> - 0.0.1-17
- 添加用户标签行显示用户头像，去掉用户头像界面底部按钮
- 修复创建用户不成功没有提示问题
- 修复添加用户上传头像崩溃问题

* Tue Jan 11 2022 NewStart <os@gd-linux.com> - 0.0.1-16
- 修复添加键盘布局列表显示问题

* Fri Nov 27 2020 NewStart <os@gd-linux.com> - 0.0.1-15
- 添加用户、声音、vpn模块

* Thu Nov 26 2020 NewStart <os@gd-linux.com> - 0.0.1-14
- 添加鼠标、壁纸、任务栏模块

* Wed Nov 25 2020 NewStart <os@gd-linux.com> - 0.0.1-13
- 添加语言、键盘、日志模块

* Tue Nov 24 2020 NewStart <os@gd-linux.com> - 0.0.1-12
- 添加日期时间和默认APP模块

* Mon Nov 23 2020 NewStart <os@gd-linux.com> - 0.0.1-11
- 添加字体和防火墙模块

* Fri Nov 20 2020 NewStart <os@gd-linux.com> - 0.0.1-10
- 添加蓝牙模块

* Thu Nov 19 2020 NewStart <os@gd-linux.com> - 0.0.1-9
- 添加自动启动程序模块

* Wed Nov 18 2020 NewStart <os@gd-linux.com> - 0.0.1-8
- 添加有线、打印机、无线模块

* Fri Nov 13 2020 NewStart <os@gd-linux.com> - 0.0.1-7
- 添加手动设置屏幕参数

* Mon Nov 09 2020 NewStart <os@gd-linux.com> - 0.0.1-6
- 添加显示模块

* Fri Oct 9 2020 NewStart <os@gd-linux.com> - 0.0.1-5
- 右侧详细设置界面添加滚动条

* Tue Sep 29 2020 NewStart <os@gd-linux.com> - 0.0.1-4
- 修改默认代理配置

* Tue Sep 29 2020 NewStart <os@gd-linux.com> - 0.0.1-3
- 代理设置界面优化

* Mon Sep 28 2020 NewStart <os@gd-linux.com> - 0.0.1-2
- 添加代理设置模块

* Mon Sep 21 2020 NewStart <os@gd-linux.com> - 0.0.1-1
- First release.
